Subject: Re: [RFC 0/5] bridge - introduce via_phys_dev feature

From: Pavel Emelyanov <[email-masked]>
Date: Sat, 27 Feb 2010 00:16:23 +0300

Stephen Hemminger wrote:
> On Fri, 26 Feb 2010 10:40:46 -0800
> Ben Greear <[email-masked]> wrote:
> 
>> On 02/26/2010 10:30 AM, Stephen Hemminger wrote:
>>> On Fri, 26 Feb 2010 10:08:00 -0800 (PST)
>>> David Miller<[email-masked]>  wrote:
>>>
>>>> From: Stephen Hemminger<[email-masked]>
>>>> Date: Fri, 26 Feb 2010 10:01:02 -0800
>>>>
>>>>> TCP connections are never really bound to device. TCP routing is
>>>>> flexible; if packets can get through, it doesn't care.
>>>> I think he might be talking about SO_BINDTODEVICE
>>> What application does that with TCP?
>> I use it..helps with using multiple interfaces on the same system,
>> especially when sending-to-self.
>>
> 
> That is a special case which is not related to the discussion.
> We are talking about being able to setup a bridge and migrate the
> associated state from the ethernet device to the bridge.

Well, actually the intention was to discuss all the related issues.
I do agree with the proposal of the "inherit" made in userspace, but
I'd also like to know your opinion about the netfilter question I 
asked in another e-mail and this issue.

Thanks,
Pavel